Subject: Re: help.... socket
From: Chris Faylor <[email-masked]>
To: Earnie Boyd <[email-masked]>
Cc: [email-masked], cygwin users <[email-masked]>
Date: Tue, 21 Sep 1999 16:28:33 -0400

On Tue, Sep 21, 1999 at 12:15:35PM -0700, Earnie Boyd wrote:
>--- [email-masked] wrote:
>> earnie,
>> 
>> I need your assistance
>> 
>> How come this one work on the unix machine and does not work on the bash.
>> I am still using the b19.
>> 
>> gcc server.c -o server -lsocket -lnsl
>> 
>> Message:  /cygnus/b19/H-I386~1/i386-cygwin32/bin/ld.exe: cannot open 
>> -lsocket:   no such file or directory.
>> 
>
>I believe it is the fact that UNIX sockets don't exist and that you'll have to
>use the Winsock.  Search the archives for other posts to this.
>
>Anyone else have a better answer?

Yes.  There is no "libsocket.a" library for cygwin.  It's not required.

It's not a standard library and is not available on a number of UNIX
platforms.

-chris

--
Want to unsubscribe from this list?
Send a message to [email-masked]